/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.cms.tool.right');

org.ametys.cms.tool.right.RightsAssignmentToolFactory = function(id, config, pluginName) 
{
	org.ametys.cms.tool.right.RightsAssignmentToolFactory.superclass.constructor.call(this, id, config, pluginName);
};

Ext.extend(org.ametys.cms.tool.right.RightsAssignmentToolFactory, org.ametys.uitool.tool.impl.UniqueInstanceToolFactory,
{
});

org.ametys.cms.tool.right.RightsAssignmentToolFactory.prototype.createTool = function (id)
{
	var tool = new org.ametys.cms.tool.right.RightsAssignmentTool (id, this.getPluginName());
	tool.setConfiguration (this._config);
	return tool;
}


org.ametys.cms.tool.right.RightsAssignmentToolFactory.prototype.openTool = function(params) 
{
	org.ametys.cms.tool.right.RightsAssignmentToolFactory.superclass.openTool.call(this, params);
	
	var tool = org.ametys.uitool.ToolsManager.getInstance().getTool(this._id);
	tool.onEvent (tool, org.ametys.ribbon.RibbonManager.EVENTTYPE_TOOLSTATECHANGED);
}