/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

// Ametys Namespace
Ext.namespace('org.ametys.ribbon');

/**
 * This is a listener to enhance ribbon panel
 */
org.ametys.ribbon.RibbonPanel = function(config) 
{
	this._start = config.start == true;
	
	org.ametys.messagebus.MessageBus.getInstance().register(this);
}

org.ametys.ribbon.RibbonPanel.prototype._start;

org.ametys.ribbon.RibbonPanel.runningMessage = false;
org.ametys.ribbon.RibbonPanel.formerlyActivatedTab = null;

org.ametys.ribbon.RibbonPanel.prototype.onMessage = function (messages)
{
	org.ametys.ribbon.RibbonPanel.runningMessage = this._start;
	
	if (this._start)
	{
		org.ametys.ribbon.RibbonPanel.formerlyActivatedTab = ribbon.getActiveTab();
	}
	else
	{
		org.ametys.ribbon.RibbonPanel.formerlyActivatedTab = null;
	}
}

org.ametys.fluent.RibbonPanel.prototype.changeWasActiveOnHideStatus = function(panel)
{
	panel.wasActiveOnHide = panel == org.ametys.ribbon.RibbonPanel.formerlyActivatedTab;
}
